Bug 625205 - shadows create a spool directory per job
Summary: shadows create a spool directory per job
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor   
(Show other bugs)
Version: 1.2
Hardware: All Linux
high
medium
Target Milestone: 1.3
: ---
Assignee: Will Benton
QA Contact: Lubos Trilety
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-18 21:05 UTC by Jon Thomas
Modified: 2018-10-27 13:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
With this update, condor creates a job spool directory only when submitting a parallel universe job but not when submitting a vanilla universe job without "+JobRequiresSandbox=TRUE" in the submit file.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 16:11:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0773 normal SHIPPED_LIVE Moderate: Red Hat Enterprise MRG Messaging and Grid Version 1.3 2010-10-14 15:56:44 UTC

Description Jon Thomas 2010-08-18 21:05:02 UTC
Customer hit a regression in that shadows always trying to create a spool directory per job in 7.4.4-0.4.el5 despite the config they have kept with for some time.

Possible due to BZ549432.

Comment 1 Jon Thomas 2010-08-18 21:09:32 UTC
It was also reported that:

"A side effect discovery of that would appear to be that if I did need to invoke the creation of a spool directory our multi-schedd config is scoped wrong.  All shadows try to use the base SPOOL, they don't parent to the SPOOL of their respective parent schedd."

Comment 2 Will Benton 2010-08-25 17:49:08 UTC
A fix is in the branch 7.4.3-BZ625205.

To verify, the expected behavior is this:

1.  When submitting a parallel universe job, condor should create a job spool (aka "job sandbox") directory.  This directory will be named something like $SPOOL/clusterX.procY.subprocZ and is necessary for the PU scripts to work.  Parallel universe jobs will have the "JobRequiresSandbox" attribute set to TRUE automatically by condor_submit (this is visible via "condor_q -long").

2.  When submitting a vanilla universe job with no extra attributes, such a directory should not be created.

3.  When submitting a vanilla universe job that uses chirp (that is, one that has "+WantIOProxy=TRUE" in the submit file), such a directory should not be created.

4.  When submitting a vanilla universe job with "+JobRequiresSandbox=TRUE" in the submit file, a job spool directory should be created.

Comment 5 Jon Thomas 2010-09-08 16:08:26 UTC
Hi Will,

Can you please post the patch?

thanks

Comment 8 Lubos Trilety 2010-09-17 11:18:24 UTC
Checked behaviour of creating $SPOOL/clusterX.procY.subprocZ directories as described in Comment 2.

Tested with (version):
condor-7.4.4-0.14

Tested on:
RHEL4 i386,x86_64  - passed
RHEL5 i386,x86_64  - passed

>>> VERIFIED

Comment 9 Florian Nadge 2010-10-07 16:55:16 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
With this update, condor creates a job spool directory only when submitting a parallel universe job but not when submitting a vanilla universe job without "+JobRequiresSandbox=TRUE" in the submit file.

Comment 11 errata-xmlrpc 2010-10-14 16:11:00 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0773.html


Note You need to log in before you can comment on or make changes to this bug.